---
updatedAt: 2026-09-03T21:21:46.000Z
agentTools:
  projectIndex: https://docs.clik2pay.com/llms.txt
---

# List Refunds

Fetch a list of Refunds connected to a Payment Requests.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Open APIs",
    "version": "1.0",
    "description": "The public facing APIs to interact with the our system\n\nVersioning of endpoints in this specification will increase when there are breaking changes made to the implementation. For this purpose, adding properties to resources will not be considered a breaking change, so implementations must have the flexibility to ignore unspecified properties when deserializing resources.\n\nOther structural changes, such as removal or renaming of properties and parameters will be considered breaking and cause a version increase. Older versions will be deprecated and only supported for a limited period after a version increase.",
    "contact": {
      "name": "Clik2pay",
      "email": "admin@clik2pay.com",
      "url": "https://www.clik2pay.com/"
    }
  },
  "servers": [
    {
      "url": "https://api.clik2pay.com/open/v1",
      "description": "production"
    },
    {
      "url": "https://api.sandbox.clik2pay.com/open/v1",
      "description": "sandbox"
    }
  ],
  "tags": [
    {
      "name": "Payment Requests API"
    }
  ],
  "paths": {
    "/payment-requests/{paymentRequestId}/refunds": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "paymentRequestId",
          "in": "path",
          "required": true,
          "description": "The identifier of the payment request."
        }
      ],
      "get": {
        "summary": "List Refunds",
        "operationId": "get-payment-requests-paymentRequestId-refunds",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "totalCount": {
                      "type": "integer",
                      "readOnly": true
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Refund"
                      }
                    },
                    "links": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/HATEOASLink"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "description": "Fetch a list of Refunds connected to a Payment Requests.",
        "tags": [
          "Payment Requests API"
        ],
        "security": [
          {
            "JWT": [],
            "APIKey": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "PaymentStatus": {
        "type": "string",
        "title": "Refunds, payouts, reimbursements & returns status",
        "enum": [
          "CREATED",
          "READY",
          "ACTIVE",
          "PAID",
          "FAILED",
          "SETTLED",
          "CANCELLED",
          "EXPIRED",
          "DECLINED",
          "SECURITY-FAILED"
        ],
        "description": "The status of a payment transaction.",
        "readOnly": true
      },
      "Refund": {
        "description": "Represents refunds for payment requests",
        "type": "object",
        "x-examples": {},
        "x-internal": false,
        "title": "Refund",
        "x-stoplight": {
          "id": "307cf1da396cb"
        },
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for a refund assigned by us. This value is a resource identifier and is used for further reference to the transaction (eg. GET Payment Status or a Webhook).",
            "example": "e6a16402-fade-4fb2-8bfc-27194d3e3f87",
            "format": "uuid",
            "readOnly": true
          },
          "amount": {
            "type": "number",
            "description": "The amount in Canadian dollars.",
            "example": 50.25,
            "format": "double",
            "multipleOf": 0.01,
            "minimum": 0.01
          },
          "status": {
            "$ref": "#/components/schemas/PaymentStatus"
          },
          "recipient": {
            "type": "object",
            "description": "The email and mobile number of the person or organization receiving the refund. Both values are required.",
            "required": [
              "email",
              "mobileNumber"
            ],
            "properties": {
              "email": {
                "type": "string",
                "format": "email",
                "description": "The email address to contact the recipient.",
                "maxLength": 64
              },
              "mobileNumber": {
                "type": "string",
                "description": "The mobile number to contact the recipient. Must be an active Canadian mobile number.",
                "example": "4165551234",
                "pattern": "^\\d+$",
                "minLength": 10,
                "maxLength": 10
              }
            }
          },
          "createdDateTime": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time the refund was created.",
            "readOnly": true
          },
          "createdBy": {
            "type": "string",
            "description": "The user or merchant API request that created the refund.",
            "example": "example@clik2pay.com",
            "readOnly": true
          },
          "displayMessage": {
            "type": "string",
            "minLength": 3,
            "maxLength": 250,
            "example": "The message displayed to the recipient on the Interac Gateway Page.",
            "pattern": "^[a-zA-Z0-9àâäèéêëîïôùûüÿçœÀÂÄÈÉÊËÎÏÔÙÛÜŸÇŒ '\\-.,*:%()]+$",
            "description": "The message presented to the recipient on Interac\\'s Gateway page. If not set, a default message in the format agreed upon with the merchant will be displayed."
          },
          "events": {
            "type": "array",
            "uniqueItems": true,
            "minItems": 1,
            "description": "A list of events for the refund reflecting changes in status.",
            "items": {
              "type": "object",
              "description": "An event representing a change in status.",
              "properties": {
                "status": {
                  "$ref": "#/components/schemas/PaymentStatus"
                },
                "dateTime": {
                  "type": "string",
                  "description": "The date and time of the event.",
                  "format": "date-time",
                  "readOnly": true
                }
              },
              "readOnly": true
            },
            "readOnly": true
          },
          "links": {
            "type": "array",
            "description": "Links to resources related to the payment transaction.",
            "items": {
              "$ref": "#/components/schemas/HATEOASLink"
            },
            "readOnly": true
          }
        },
        "required": [
          "amount",
          "recipient"
        ]
      },
      "Error": {
        "title": "Error",
        "type": "object",
        "description": "Error response body provided on a failed request",
        "properties": {
          "message": {
            "type": "string",
            "description": "A message describing the reason for the error response",
            "example": "Failed to parse resource"
          },
          "errors": {
            "type": "array",
            "description": "A list of detailed errors that indicate problems with the request. Usually empty unless the response was a Bad Request (400)",
            "items": {
              "type": "object",
              "description": "An error produced by the request input",
              "properties": {
                "property": {
                  "type": "string",
                  "description": "The property or object name that failed to be read",
                  "example": "email"
                },
                "error": {
                  "type": "string",
                  "example": "must be a well-formed email address",
                  "description": "A descriptive message describing the reason for the failure"
                }
              }
            }
          }
        }
      },
      "HATEOASLink": {
        "title": "HATEOAS Link",
        "type": "object",
        "description": "",
        "readOnly": true,
        "properties": {
          "rel": {
            "type": "string",
            "description": "The relation of the linked resource",
            "example": "payment-request"
          },
          "href": {
            "type": "string",
            "example": "https://api.clik2pay.com/open/v1/payment-requests/e6a16402-fade-4fb2-8bfc-27194d3e3f87",
            "format": "uri",
            "description": "The target URL of the linked resource"
          }
        }
      }
    },
    "securitySchemes": {
      "JWT": {
        "type": "http",
        "scheme": "bearer"
      },
      "APIKey": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-amazon-apigateway-api-key-source": "HEADER"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```